---
title: GitLab Open Source Program
suppress_header: true
extra_css:
  - open-source.css
---

<div class="blank-header">
  <img class='image-border image-border-left' src='/images/home/icons-pattern-left.svg' />
  <img class='image-border image-border-right' src='/images/home/icons-pattern-right.svg' />
  <div class="header-content">
    <img src="/images/icons/explore-open-source.svg" alt="GitLab for open source svg">
    <h1>GitLab Open Source Program</h1>
    <p>Our top tiers are free for all Open Source projects</p>
    <a class="btn cta-btn orange" href="#gitlab-oss-form">Apply today</a>
  </div>
</div>

<div class="gitlab-content-container">
  <div class="flex-container flex-column-md">
    <div class="program-content">
      <p>GitLab exists today in large part thanks to the work of hundreds of thousands of open source contributors around the world. To give back to this community, we want to help teams be more efficient, secure, and productive by allowing them to use as many of the GitLab capabilities.</p>
      <h3>Requirements</h3>
      <ol>
        <li>You must have an existing GitLab project with an OSI-approved open source license</li>
        <li>Your project must not seek to make a profit from the resulting project software</li>
      </ol>
      <h3>Additional information</h3>
      <ol>
        <li>Free GitLab Ultimate and Gold accounts do not include support. However, you can purchase support for 95% off, at $4.95 per user per month.</li>
        <li>The number of seats is the number of different users that will use this license during the next year.</li>
        <li>These licenses need to be renewed annually.</li>
        <li>If you have any additional questions regarding this program, feel free to reach us at <a href="mailto:opensource@gitlab.com" target="_blank">opensource@gitlab.com</a>.</li>
      </ol>
      <h3>Application process</h3>
      <ol> 
        <li><a href="https://gitlab.com/users/sign_in" target="_blank">Create a gitlab.com account</a> if you do not have one already</li>
        <li><a href="https://gitlab.com/gitlab-com/marketing/community-relations/gitlab-oss/forks/new" target="_blank">Create a fork of this project</a></li>
        <li>Edit the <a href="https://gitlab.com/gitlab-com/marketing/community-relations/gitlab-oss/blob/master/data/oss_projects.yml" target="_blank">oss_projects.yml file</a> to add an entry for your project</li>
        <li>Commit the changes to your fork and submit a new Merge Request against <a href="https://gitlab.com/gitlab-com/marketing/community-relations/gitlab-oss/tree/master" target="_blank">this project</a></li>
        <li>Submit the application form with a link to the Merge Request created in the previous step</li>
        <li>Sign the quote that you'll receive shortly</li>
        <li>Accept the EULA that will be sent to your email</li>
        <li>Receive the license key (for Ultimate) or further instructions (for Gold)</li>
      </ol>
      <h3>Renewal process</h3>
      <ol> 
        <li>Please reach out to us via <a href="mailto:opensource@gitlab.com" target="_blank">opensource@gitlab.com</a> approximately one month before your license expires and let us know if there is anything that needs to be modified on your subscription.</li>
        <li>We'll be in touch with you shortly!</li>
      </ol>
    </div>
    <div class="form-container" id="gitlab-oss-form">
      <script src="//app-ab13.marketo.com/js/forms2/js/forms2.min.js"></script>
      <form action="" id="mktoForm_1675"></form>
      <script>
        MktoForms2.loadForm("//app-ab13.marketo.com", "194-VVC-221", 1675, function(form) {
          form.onSuccess(function() {
            form.getFormElem().hide();
            $('.confirmform').attr('style', 'visibility: visible');
            return false;
          });
        });
      </script>
      <div class="confirmform" style="visibility:hidden;">
        <h3>Submission received!</h3>
        <p>We will be intouch soon.</p>
      </div>
    </div>
  </div>

  <div class="content">
    <h2 class="text-center">Frequently Asked Questions</h2>
    <div class="faq-holder clearfix">
      <ol class="faq-container list-unstyled">
        <li class="faq-item">
          <div class="faq-inner-item">
            <a class="faq-question js-faq-question" href="#">
              Do I have to apply for every OSS project separately?
              <i class="fa fa-angle-down pull-right"></i>
            </a>
            <div class="faq-answer">
              <p>The subscription is going to be for a group, so only one application will be enough. Apply with your most representative project.</p>
            </div>
          </div>
        </li>
        <li class="faq-item">
          <div class="faq-inner-item">
            <a class="faq-question js-faq-question" href="#">
              Can I use this license for my non-open source projects as well?
              <i class="fa fa-angle-down pull-right"></i>
            </a>
            <div class="faq-answer">
              <p>No. The GitLab license can be used only for the open source projects it was approved for.</p>
            </div>
          </div>
        </li>
      </ol>
      <ol class="faq-container list-unstyled">
        <li class="faq-item">
          <div class="faq-inner-item">
            <a class="faq-question js-faq-question" href="#">
              Who gets counted in the subscription?
              <i class="fa fa-angle-down pull-right"></i>
            </a>
            <div class="faq-answer">
              <p>Please see our <a href="/pricing/licensing-faq/#who-gets-counted-in-the-subscription">licensing and subscription FAQ</a> for the detailed explanation.</p>
            </div>
          </div>
        </li>
        <li class="faq-item">
          <div class="faq-inner-item">
            <a class="faq-question js-faq-question" href="#">
              What are the benefits for projects hosted on GitLab.com?
              <i class="fa fa-angle-down pull-right"></i>
            </a>
            <div class="faq-answer">
              <p>While all public projects hosted on GitLab.com already have access to Gold features at the project level, this does not include group-level features.</p>
              <p>The Open Source license provides the additional ability to use Gold group-level features (e.g. Epics, Roadmap).</p>
            </div>
          </div>
        </li>
      </ol>
    </div>
  </div>
</div>